Subject: Re: basics... when reading docs doesn't help

From: "Andreas Herrmann" <[email-masked]>
Date: Fri, 30 Mar 2007 20:02:11 +0200

On Fri, Mar 30, 2007 at 12:13:02AM +0200, Guennadi Liakhovetski wrote:
> On Thu, 29 Mar 2007, J. Bruce Fields wrote:
> 
> > On Thu, Mar 29, 2007 at 02:26:10PM -0700, Junio C Hamano wrote:
> > > 
> > > How about suggesting "clone -l -s"?
> 
> Yes, but how do "advanced git users" kernel developers work? Do they just 
> do 1 clone and build / clean every time they want to test another 
> configuration / arch, or do they clone -l or what? Do they create branches 
> for each development thread, then pull / push between trees?...
> 
> > If you really want to share as much as possible, then I guess you want
> > to share the working trees too, since (as evidenced above), they're at
> > least as large as the compressed history.
> 
> But I don't want to re-build. Apart from i386 I build for a couple of ARM 
> and PPC targets too...

Seems to be trivial but:
Why don't you use "make O=/foo/bar/arch<x>-config<y>" to put output
files into separate directories? So you can have one source tree and
put each different kernel config and arch into a separate output
directory.

And if you have different sources for you trees put them into branches.

When switching between branches, atime of files are updated accordingly.
So even make should be happy with that.

Just one drawback:
Switching back and forth between two branches will cause
recompilation of sources that differ between that branches -
although nothing might have changed within a branch in the meantime.

(Not that I have used such an setup, yet.
But I think that should work.)

Regards,

Andreas